Interface GitEndpointBuilderFactory.GitBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GitEndpointBuilderFactory
public static interface GitEndpointBuilderFactory.GitBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default GitEndpointBuilderFactory.GitHeaderNameBuildergit()Git (camel-git) Perform operations on git repositories.default GitEndpointBuilderFactory.GitEndpointBuildergit(String path)Git (camel-git) Perform operations on git repositories.default GitEndpointBuilderFactory.GitEndpointBuildergit(String componentName, String path)Git (camel-git) Perform operations on git repositories.
-
-
-
Method Detail
-
git
default GitEndpointBuilderFactory.GitHeaderNameBuilder git()
Git (camel-git) Perform operations on git repositories. Category: file Since: 2.16 Maven coordinates: org.apache.camel:camel-git- Returns:
- the dsl builder for the headers' name.
-
git
default GitEndpointBuilderFactory.GitEndpointBuilder git(String path)
Git (camel-git) Perform operations on git repositories. Category: file Since: 2.16 Maven coordinates: org.apache.camel:camel-git Syntax:git:localPathPath parameter: localPath (required) Local repository path- Parameters:
path- localPath- Returns:
- the dsl builder
-
git
default GitEndpointBuilderFactory.GitEndpointBuilder git(String componentName, String path)
Git (camel-git) Perform operations on git repositories. Category: file Since: 2.16 Maven coordinates: org.apache.camel:camel-git Syntax:git:localPathPath parameter: localPath (required) Local repository path- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- localPath- Returns:
- the dsl builder
-
-